%global momorel 1

Name: sysstat
Version: 6.0.1
Release: %{momorel}m
Summary: The sar and iostat system monitoring commands.
License: GPL
Group: Applications/System
URL: http://perso.wanadoo.fr/sebastien.godard/
Source: http://perso.wanadoo.fr/sebastien.godard/%{name}-%{version}.tar.bz2
Source1: sysstat.crond
Source2: sysstat.crondaily
Source3: sysstat.sysconfig
Patch0: sysstat-4.0.1-config.patch
Patch3: sysstat-5.0.5-statreset.patch
Patch6: sysstat-5.0.5-append-msg.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

PreReq: chkconfig, sh-utils, textutils, grep, fileutils, vixie-cron
BuildRequires: perl glibc-kernheaders
Requires: coreutils

%description
This package provides the sar and iostat commands for Linux. Sar and
iostat enable system monitoring of disk, network, and other IO
activity.

%prep
%setup -q
%patch0 -p1 -b .config
%patch3 -p1 -b .statreset
%patch6 -p1 -b .append-msg

%build
# FIXME: I need to fix the upstream Makefile to use LIBDIR et al. properly and
# send the upstream maintainer a patch.
CFLAGS="$RPM_OPT_FLAGS -DSADC_PATH=\\\"%{_libdir}/sa/sadc\\\""
make CFLAGS="$CFLAGS" PREFIX=%{_prefix} LIB_DIR=%{_libdir} SA_LIB_DIR=%{_libdir}/sa MAN_DIR=%{_mandir} DATA_DIR=%{_datadir} DOC_DIR=%{_docdir}

# Thou shalt not write to source files or patches
rm -f sysstat.crond
%if %_lib == "lib64"
perl -p -e "s|/lib/|/lib64/|g" %{SOURCE1} > sysstat.crond
%else
cat %{SOURCE1} > sysstat.crond
%endif

%install
rm -rf %{buildroot}

%makeinstall PREFIX=%{_prefix} SA_LIB_DIR=%{_libdir}/sa LIB_DIR=%{_libdir} MAN_DIR=%{_mandir} DATA_DIR=%{_datadir} DOC_DIR=%{_docdir} INIT_DIR=%{_initrddir}
#make install MAN_DIR=%{_mandir}

mkdir -p %{buildroot}/etc/{cron.daily,cron.d,sysconfig}

install -m 0644 sysstat.crond %{buildroot}/etc/cron.d/sysstat
#install %{SOURCE2} %{buildroot}/etc/cron.daily/sysstat
install -m 0644 %{SOURCE3} %{buildroot}/etc/sysconfig/sysstat

mkdir -p %{buildroot}%{_initrddir}
install -m 0755 sysstat %{buildroot}%{_initrddir}/

# sysstat makefiles install the docs in the wrong place, blow them away
rm -f %{buildroot}/usr/share/doc/*

%find_lang %{name}

#FIXME: Make sure this trigger is actually correct and relevant still.
%triggerpostun -- sysstat <= 3.3.3-1
# earlier versions of sysstat had crontabs done in a bad way.  fix it.
if [ `id -u` = "0" -a "$1" -ge "2" ]; then
	if grep -E -v 'sysstat|sa1|sa2' /etc/crontab > /etc/crontab.tmp.$$; then
		cp -dpf /etc/crontab /etc/crontab.save.$$ && \
			if mv /etc/crontab.tmp.$$ /etc/crontab; then
				chmod --reference=/etc/crontab.save.$$ /etc/crontab && \
					rm -f /etc/crontab.save.$$
			else
				mv -f /etc/crontab.save.$$ /etc/crontab
			fi
	fi
fi

%post
/sbin/chkconfig --add sysstat

%preun
if [ "$1" = 0 ]; then
  # Remove sa logs if removing sysstat completely
  rm -f /var/log/sa/*
  # Remove service
  /sbin/chkconfig --del sysstat
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS README TODO FAQ
%config(noreplace) /etc/cron.d/sysstat
#config(noreplace) /etc/cron.daily/sysstat
%config(noreplace) /etc/sysconfig/sysstat
%config(noreplace) /etc/sysconfig/sysstat.ioconf
%{_initrddir}/sysstat
%{_bindir}/*
%{_libdir}/sa
%{_mandir}/man1/*
%{_mandir}/man8/*
/var/log/sa

%changelog
* Mon May  8 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (6.0.1-1m)
- version up
- sync with fc-devel

* Wed Nov  9 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (5.0.5-3m)
- add gcc4 patch.
- Patch5: sysstat-5.0.5-gcc4fix.patch

* Thu Feb 10 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (5.0.5-2m)
- enable x86_64.

* Sat Jul 10 2004 TAKAHASHI Tamotsu <tamo>
- (5.0.5-1m)
- FEDORA-2004-187 (patch1: sysstat-5.0.5-overrun.patch)
  http://www.securityfocus.com/advisories/6896
  buffer overflow, not exploited so far

* Tue Jun  1 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (5.0.4-1m)
- verup

* Tue Apr 13 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (5.0.3-1m)
- update to 5.0.3
  [SECURITY] fixed temporary file vulnerability

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (5.0.0-2m)
- revised spec for rpm 4.2.

* Sat Dec  6 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (5.0.0-1m)
- update to 5.0.0

* Mon Aug  4 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (4.1.5-1m)
- update to 4.1.5

* Tue Jul  8 2003 Kimitake Shibata <cipher@da2.so-net.ne.jp>
- (4.1.4-1m)
  Update to 4.1.4

* Tue Mar  4 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.2-1m)
- update to 4.1.2

* Wed Jan 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (4.1.1-1m)
- update to 4.1.1

* Thu Aug 15 2002 Junichiro Kita <kita@momonga-linux.org>
- (4.0.6-1m)
- up to 4.0.6

* Tue Jul  2 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (4.0.5-1m)
- up to 4.0.5

* Thu Apr 18 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (4.0.4-2k)
- up to 4.0.4

* Wed Mar 13 2002 Kazuhiko <kazuhiko@kondara.org>
- (4.0.3-4k)
- add %clean and %changelog sections :(
